Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.pdf3d.ModelNode Class Reference
Inheritance diagram for com.foxit.sdk.addon.pdf3d.ModelNode:

## Public Member Functions
| ModelNode ()
| Constructor.
| ModelNode (ModelNode other)
| Constructor, with another model node object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
ModelNode | getFirstChildNode ()
| Get the first child node of current node. More...
String | getName ()
| Get the name of current node. More...
ModelNode | getNextSiblingNode ()
| Get the next sibling node of current node. More...
int | getNodeType ()
| Get the type of the node. More...
ModelNode | getParentNode ()
| Get the parent node of current node. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
boolean | isVisible ()
| Check whether current node is visible or not. More...
void | setVisible (boolean is_visible)
| Set the visibility of current node. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_TypeAmbientLight = 6
| Ambient light.
static final int | e_TypeBone = 10
| Bone.
static final int | e_TypeClippingPlane = 8
| Clipping plane.
static final int | e_TypeDummy = 11
| Dummy.
static final int | e_TypeGroup = 1
| Group.
static final int | e_TypeMarkup = 4
| Markup.
static final int | e_TypeMesh = 2
| Mesh.
static final int | e_TypeModelRoot = 0
| Model root.
static final int | e_TypeProcedural = 9
| Procedural.
static final int | e_TypePunctualLight = 5
| Punctual light.
static final int | e_TypeSprite = 3
| Sprite.
static final int | e_TypeViewCamera = 7
| View camera.

## Detailed Description

This class represents a node in the 3D model tree structure.

See also
  PDF3DAnnotInstance

## Constructor & Destructor Documentation

## ◆ ModelNode()

com.foxit.sdk.addon.pdf3d.ModelNode.ModelNode | ( | ModelNode | other | ) |

Constructor, with another model node object.

Parameters

  [in] | other | Another model node object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pdf3d.ModelNode.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFirstChildNode()

ModelNode com.foxit.sdk.addon.pdf3d.ModelNode.getFirstChildNode | ( |  | ) |

Get the first child node of current node.

Returns
  The first child node of current node. If there is no child node, an empty object will be returned.

## ◆ getName()

String com.foxit.sdk.addon.pdf3d.ModelNode.getName | ( |  | ) |

Get the name of current node.

Returns
  The name of current node.

## ◆ getNextSiblingNode()

ModelNode com.foxit.sdk.addon.pdf3d.ModelNode.getNextSiblingNode | ( |  | ) |

Get the next sibling node of current node.

Returns
  The next sibling node of current node. If there is no next sibling node, an empty object will be returned.

## ◆ getNodeType()

int com.foxit.sdk.addon.pdf3d.ModelNode.getNodeType | ( |  | ) |

Get the type of the node.

Returns
  The type of the node. Please refer to values starting from com.foxit.sdk.addon.pdf3d.ModelNode.e_TypeModelRoot and this will be one of these values.

## ◆ getParentNode()

ModelNode com.foxit.sdk.addon.pdf3d.ModelNode.getParentNode | ( |  | ) |

Get the parent node of current node.

Returns
  The parent node of current node. If there is no parent node, an empty object will be returned.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.pdf3d.ModelNode.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ isVisible()

boolean com.foxit.sdk.addon.pdf3d.ModelNode.isVisible | ( |  | ) |

Check whether current node is visible or not.

Returns
  true means current node is visible, while false means invisible.

## ◆ setVisible()

void com.foxit.sdk.addon.pdf3d.ModelNode.setVisible | ( | boolean | is_visible | ) |

Set the visibility of current node.

Parameters

  [in] | is_visible | A boolean value used to set the visibility of current node. true means visible, while false means invisible.

Returns
  None.